Module org.apache.derby.tools
Package org.apache.derby.tools

# Class sysinfo

java.lang.Object
org.apache.derby.tools.sysinfo

public class sysinfo extends Object
This class displays system information to system out. To run from the command-line, enter the following:

`java org.apache.derby.tools.sysinfo`

Also available on this class are methods which allow you to determine the version of the code for the system without actually booting a database. Please note that this is the Derby version of the .jar files, not of your databases.

The numbering scheme for released Derby products is `m1.m2.m3` where `m1` is the major release version, `m2` is the minor release version, and `m3` is the maintenance level. Versions of the product with the same major and minor version numbers are considered feature compatible.

Valid major and minor versions are always greater than zero. Valid maintenance versions are greater than or equal to zero.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLIENT`
  The genus name for the client code.
  `static final String`
  `DBMS`
  The genus name for the Apache Derby code.
  `static final String`
  `NET`
  The genus name for the network server code.
  `static final String`
  `OPTIONALTOOLS`
  The genus name for the optional tools code.
  `static final String`
  `TOOLS`
  The genus name for the tools code.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getBuildNumber()`
  gets the build number for the Apache Derby embedded library
  `static String`
  `getBuildNumber(String genus)`
  gets the build number for the specified library
  `static void`
  `getInfo(PrintWriter out)`
  `static int`
  `getMajorVersion()`
  gets the major version of the Apache Derby embedded code.
  `static int`
  `getMajorVersion(String genus)`
  gets the major version of the specified code library.
  `static int`
  `getMinorVersion()`
  gets the minor version of the Apache Derby embedded code.
  `static int`
  `getMinorVersion(String genus)`
  gets the minor version of the specified code library.
  `static String`
  `getProductName()`
  gets the product name for the Apache Derby embedded library
  `static String`
  `getProductName(String genus)`
  gets the external name for the specified code library.
  `static String`
  `getVersionString()`
  Return the version information string for the specified library including alpha or beta indicators.
  `static String`
  `getVersionString(String genus)`
  Return the version information string for the Apache Derby embedded library including alpha or beta indicators.
  `static void`
  `main(String[] args)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DBMS

    public static final String DBMS
    The genus name for the Apache Derby code. Use this to determine the version of the Apache Derby embedded code in derby.jar.
    See Also:
      - Constant Field Values

  - ### TOOLS

    public static final String TOOLS
    The genus name for the tools code. Use this to determine the version of code in derbytools.jar
    See Also:
      - Constant Field Values

  - ### NET

    public static final String NET
    The genus name for the network server code. Use this to determine the version of code in derbynet.jar
    See Also:
      - Constant Field Values

  - ### CLIENT

    public static final String CLIENT
    The genus name for the client code. Use this to determine the version of code in derbyclient.jar
    See Also:
      - Constant Field Values

  - ### OPTIONALTOOLS

    public static final String OPTIONALTOOLS
    The genus name for the optional tools code. Use this to determine the version of code in derbyoptionaltools.jar
    See Also:
      - Constant Field Values

- ## Method Details

  - ### main

    public static void main(String[] args)

  - ### getMajorVersion

    public static int getMajorVersion()
    gets the major version of the Apache Derby embedded code.
    Returns:
      the major version. Returns -1 if not found.

  - ### getMajorVersion

    public static int getMajorVersion(String genus)
    gets the major version of the specified code library.
    Parameters:
      `genus` - which library to get the version of. Valid inputs include DBMS, TOOLS, NET, CLIENT
    Returns:
      the major version. Return -1 if the information is not found.

  - ### getMinorVersion

    public static int getMinorVersion()
    gets the minor version of the Apache Derby embedded code.
    Returns:
      the minor version. Returns -1 if not found.

  - ### getMinorVersion

    public static int getMinorVersion(String genus)
    gets the minor version of the specified code library.
    Parameters:
      `genus` - which library to get the version of. Valid inputs include DBMS, TOOLS, NET, CLIENT.
    Returns:
      the minor version. Return -1 if the information is not found.

  - ### getBuildNumber

    public static String getBuildNumber()
    gets the build number for the Apache Derby embedded library
    Returns:
      the build number, or -1 if the information is not found.

  - ### getBuildNumber

    public static String getBuildNumber(String genus)
    gets the build number for the specified library
    Parameters:
      `genus` - which library to get the build number for. Valid inputs are DBMS, TOOLS, NET, CLIENT.
    Returns:
      the build number, or ???? if the information is not found.

  - ### getProductName

    public static String getProductName()
    gets the product name for the Apache Derby embedded library
    Returns:
      the name

  - ### getProductName

    public static String getProductName(String genus)
    gets the external name for the specified code library.
    Parameters:
      `genus` - which library to get the name for
    Returns:
      the name.

  - ### getVersionString

    public static String getVersionString()
    Return the version information string for the specified library including alpha or beta indicators.

  - ### getVersionString

    public static String getVersionString(String genus)
    Return the version information string for the Apache Derby embedded library including alpha or beta indicators.

  - ### getInfo

    public static void getInfo(PrintWriter out)